org.apache.ode.bpel.compiler

## Class FlowGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.FlowGeneratorMessages

-     public class FlowGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowGeneratorMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errDuplicateLinkDecl(java.lang.String linkName)` Duplicate declaration of link "{0}".
    `CompilationMessage` | `errLinkMissingSourceActivity(java.lang.String linkName)` The link "{0}" does not have a source.
    `CompilationMessage` | `errLinkMissingTargetActivity(java.lang.String linkName)` The link "{0}" does not have a target.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowGeneratorMessages

          public FlowGeneratorMessages()

  - ### Method Detail

    - #### errLinkMissingSourceActivity

          public CompilationMessage errLinkMissingSourceActivity(java.lang.String linkName)

      The link "{0}" does not have a source.

    - #### errLinkMissingTargetActivity

          public CompilationMessage errLinkMissingTargetActivity(java.lang.String linkName)

      The link "{0}" does not have a target.

    - #### errDuplicateLinkDecl

          public CompilationMessage errDuplicateLinkDecl(java.lang.String linkName)

      Duplicate declaration of link "{0}".